<ion-header>
  <ion-navbar>
    <button ion-button menuToggle>
      <ion-icon name="menu"></ion-icon>
    </button>
    <ion-title text-center>
      Escolher Linha
    </ion-title>
  </ion-navbar>
</ion-header>

<ion-content padding class="content_general">
    <ion-grid no-padding class="card-city">
    <ion-row >
      <ion-col text-center text-uppercase col-xs  (click)="change_city()">
        <ion-label>{{cityname}} <ion-icon name="close-circle"></ion-icon> </ion-label>
      </ion-col>
    </ion-row>
  </ion-grid>

<ion-searchbar [(ngModel)]="searchTerm" (ionInput)="setFilteredItems()"></ion-searchbar>

  <ion-refresher (ionRefresh)="doRefresh($event)">

    <ion-refresher-content
     pullingIcon="arrow-dropdown"
      pullingText={{massage_refresh_pull_text}}
      refreshingSpinner="circles"
      refreshingText={{massage_refresh_refreshing_text}}>
    </ion-refresher-content>

 </ion-refresher>
  <div *ngIf="showlines">
  <!--  <ion-list> -->
      <ion-card  *ngFor="let line of lines_filtered; let i = index" (click)="line_selected(line)">
        <ion-card-content>
          {{line.nome}}
       </ion-card-content>
      </ion-card>
    <!-- </ion-list> -->
  </div>

  <div *ngIf="noLines">
    <label align="center"> {{message_no_lines}} </label>
  </div>

</ion-content>
